DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# AdaptivePercentile

Performs Percentile filtering steered by parameter images

## SYNOPSIS

`#include "dip_adaptive.h"`

dip_Error DIP_TPI_FUNC(dip_AdaptivePercentile)( in, out, para_images, filterSize, precentile )

## DATA TYPES

sfloat

## FUNCTION

This function performs percentile filtering steerd by the information stored in the parameter images (local orientation). The meaning of the parameter images depends on the dimensionality of the input image. Up to now only 2 and 3D images are supported for adaptive filtering. If the input image is not of type float it is converted to that type.

`para_images`: ImageArray containing orientation images.

2D: angle of the orientation.

3D: polar coordinate phi, theta for intrinsic 1D structures polar coordinates of two orientations for intrinsic 2D structures.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_ImageArray` | `para_images` | Parameter images
`dip_FloatArray` | `filterSize` | Size of the filter
`dip_float` | `percentile` | Percentile value

## SEE ALSO

`AdaptiveBanana`, `AdaptiveGauss`, `PercentileFilter`, `MedianFilter`

## LITERATURE

P. Bakker, "Image structure analysis for seismic interpretation", PhD Thesis, TU Delft, The Netherlands, 2001

L. Haglund, Adaptive Mulitdimensional Filtering", PhD Thesis, Link"oping University, Sweden, 1992

W.T. Freeman," Steerable Filters and Local Analysis of Image Structure", PhD Thesis, MIT, USA, 1992